nmap 7.70+dfsg1-5ubuntu1 source package in Ubuntu

Changelog

nmap (7.70+dfsg1-5ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + depend on "menu" for zenmap.
  - everything else is part of Debian now

nmap (7.70+dfsg1-5) unstable; urgency=medium

  * d/control: zenmap: move polkit from Depends to Recommends, note
    that the desktop entry of zenmap as root won't work without polkit
    (closes: #912452)

nmap (7.70+dfsg1-4) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.2.1
  * Update my email to @debian.org
  * d/p/0005: remove ncat's manpage self-reference (closes: #765999)
  * d/control: better ndiff extended description
  * lintian-overrides:
    - ndiff: add description lintian (as nmap and zenmap does)
    - nmap: add false positive lintians
    - nmap-common: add two overrides for READMEs
    - zenmap: add override for pkexec

  [ Christian Ehrhardt ]
  * Fix "zenmap as root" using polkit instead of menu
    (closes: #890728) (LP: #1263311)

nmap (7.70+dfsg1-3) unstable; urgency=medium

  * Make ncat Architecture: any
  * Fix ncat description

nmap (7.70+dfsg1-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump DH to 11
  * d/copyright: update debian/* entry

  [ Hilko Bengen ]
  * Ship ncat as separate package, provide nc alternative
    (Closes: #881639, #560377)

nmap (7.70+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Lukas Schwaighofer ]
  * Leave embedded copy of libssh2 in the source package to ease packaging for
    Ubuntu (which requires the embedded copy).
    - Update debian/copyright with the libssh2 copyright details.
  * Update debian/rules to use the included libssh2 copy when builing for
    Ubuntu and its derivates.

  [ Samuel Henrique ]
  * d/[control|watch]: update upstream homepage to https

  [ Raphaƫl Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <email address hidden>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 7.70+dfsg1
  * Bump Standards-Version
  * nmap: Suggest ndiff, instead of recommending it (Closes: #885871)
  * Update patches

nmap (7.60+dfsg2-1) unstable; urgency=medium

  * Repack source: Remove *.class files
  * Include *.class (for jdwp-exec.nse), nmap_service.exe (for
    smb-psexec.nse), built from source

nmap (7.60+dfsg1-2) unstable; urgency=low

  * Team upload.
  * Add new patch (0006-move-manual-defines.patch) which moves manually added
    defines from config.h.in (where they are overwritten by dh-autoreconf) to
    a proper location.  Fixes FTBFS on kfreebsd-any architectures.

nmap (7.60+dfsg1-1) unstable; urgency=low

  * Team upload.
  * Repack source:
    - Remove non-DFSG compliant files.
    - Remove unused libraries.
    - Update debian/watch.
  * debian/watch:
    - Correct syntax error.
    - Check upstream's pgp signatures.
  * Override lintian warnings:
    - Description synopsis starting with "The Network Mapper" is ok.
    - Windows devel files will be kept until upstream drops them.
  * Put architecture independent files into new nmap-common package (marked as
    Multi-Arch: foreign).
  * debian/control:
    - Change priority from extra (deprecated) to optional.
    - Bump Standards-Version to 4.1.0.
    - Add new suggestion: nmap suggests zenmap, the graphical frontend.
    - Zenmap needs ndiff, add the missing dependency.
    - Use Breaks (instead of Conflicts) for znmap's versioned dependency on
      nmap as this weaker restriction is sufficient.
    - Clean up versioned python2 dependencies (there's only 2.7 now).
    - Move python-pysqlite2 to Recommends as zenmap works without it (but
      loses useful features like searching and database saving).
    - No longer Recommend gksu as the `su-to-root` script is not part of that
      package.
  * debian/patches:
    - Added new patch (0004-library-versions.patch) so nmap reports correct
      library versions.
    - Add new patch (0005-autotools.patch) to fix autotools problems and
      allow refreshing all autotools generated files with `autoreconf -fi`.
  * debian/rules:
    - Drop --with=autoreconf, this is the default in debhelper compatibility
      level 10.
    - Add STRIP=/bin/true to dh_auto_configure to generate useful dbgsym
      packages.
    - Update the dh-autoreconf call so all autotools geneated files used
      in the build are refreshed.
  * Migrate debian/copyright to machine readable DEP-5 format.

 -- Gianfranco Costamagna <email address hidden>  Tue, 11 Dec 2018 16:34:57 +0100

Upload details

Uploaded by:
Gianfranco Costamagna on 2018-12-11
Uploaded to:
Disco
Original maintainer:
Debian Security Tools
Architectures:
any all
Section:
net
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
nmap_7.70+dfsg1.orig.tar.xz 7.4 MiB fb6c5b67e30582954b0f0fc02620d0254b1c71fa14b1043ebec07017c0aa3b7f
nmap_7.70+dfsg1-5ubuntu1.debian.tar.xz 22.2 KiB 02176706ff710bb0e44ea9deb40f267b8c32d48aef8f10e96493b4bcc699c839
nmap_7.70+dfsg1-5ubuntu1.dsc 2.3 KiB 94b2b93b603eedd51db0750015cf03677051219a79b4a7e9b694dc2d02420af9

View changes file

Binary packages built by this source